Bug 61548 - Crash when DL new rpm program
Crash when DL new rpm program
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 07:56 EST by Jørgen Thomsen
Modified: 2015-01-07 18:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 09:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jørgen Thomsen 2002-03-21 07:56:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:


Version-Release number of selected component (if applicable):
Red Hat Update Agent v2.7.46

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. up2date -i rpm rpm-build rpm-devel rpm-python
2.
3.
	

Actual Results:  The following packages were added to your selection to satisfy 
dependencies:

Name                                    Version        Release
--------------------------------------------------------------
popt                                    1.6.4          7x                  
python-popt                             0.8.7          7.x.2               
gnorpm                                  0.96           12.7x               

Retrieving selected packages...
rpm-4.0.4-7x.i386.rpm:      Traceback (innermost last): 10 k/sec, 00:00:39 rem.
  File "/usr/sbin/up2date", line 1131, in ?
    main()
  File "/usr/sbin/up2date", line 388, in main
    sys.exit(batchRun(argObj.getLong("list"), pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 1077, in batchRun
    up2date.getPackage(pkg, printPkg, printRetrieveHash)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1120, in getPackage
    buffer = doCall(packageSource.getPackage, pkg, msgCallback, 
progressCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 400, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 124, in getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 557, in getPackage
    buffer = self._readFD(fd, size, filePath, progressCallback = 
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 509, in _readFD
    raise PartialReadError()
TypeError: not enough arguments; expected 1, got 0

Additional info:
after repeating the command
########################################
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
popt                                    1.6.4          7x                  
python-popt                             0.8.7          7.x.2               
gnorpm                                  0.96           12.7x               

Retrieving selected packages...
rpm-4.0.4-7x.i386.rpm:      ########################## Done.                   
rpm-build-4.0.4-7x.i386.rpm ########################## Done.                   
rpm-devel-4.0.4-7x.i386.rpm ########################## Done.                   
rpm-python-4.0.4-7x.i386.rp ########################## Done.                   
popt-1.6.4-7x.i386.rpm:     ########################## Done.                   
python-popt-0.8.7-7.x.2.i38 ########################## Done.                   
gnorpm-0.96-12.7x.i386.rpm: ########################## Done.                   
Preparing...                ########################################### [100%]
   1:popt                   ########################################### [ 14%]
   2:rpm                    ########################################### [ 28%]
   3:rpm-build              ########################################### [ 42%]
   4:rpm-devel              ########################################### [ 57%]
   5:rpm-python             ########################################### [ 71%]
   6:python-popt            ########################################### [ 85%]
   7:gnorpm                 ########################################### [100%]
Comment 1 Adrian Likins 2002-03-25 19:09:19 EST
This should be fixed in 2.7.61 (fix is in cvs).
Comment 2 Matt Jamison 2003-05-22 09:04:46 EDT
closing bug.

Note You need to log in before you can comment on or make changes to this bug.